Bug 593125 - Review Request: gridsite - Grid Security for the Web, Web platforms for Grids
Review Request: gridsite - Grid Security for the Web, Web platforms for Grids
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mattias Ellert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-17 17:23 EDT by Steve Traylen
Modified: 2010-06-09 11:50 EDT (History)
3 users (show)

See Also:
Fixed In Version: gridsite-1.5.18-4.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-08 15:36:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mattias.ellert: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Steve Traylen 2010-05-17 17:23:11 EDT
Spec URL: http://cern.ch/straylen/rpms/gridsite/gridsite.spec
SRPM URL: http://cern.ch/straylen/rpms/gridsite/gridsite-1.5.18-1.fc13.src.rpm
Description:
GridSite was originally a web application developed for managing and formatting 
the content of the http://www.gridpp.ac.uk/ website. Over the past years it 
has grown into a set of extensions to the Apache web server and a toolkit for 
Grid credentials, GACL access control lists and HTTP(S) protocol operations.
Comment 1 Mattias Ellert 2010-05-19 07:56:12 EDT
Fedora review - gridsite - 2010-05-19

rpmlint output:

$ rpmlint 587812741769102067396616/result/gridsite/*.rpm
gridsite.src: W: spelling-error %description -l en_US apache -> Apache, apace
gridsite.src: W: spelling-error %description -l en_US httpd -> HTTP
gridsite.x86_64: W: spelling-error %description -l en_US apache -> Apache, apace
gridsite.x86_64: W: spelling-error %description -l en_US httpd -> HTTP
gridsite.x86_64: W: hidden-file-or-dir /var/lib/gridsite/.gacl
gridsite-gsexec.x86_64: W: spelling-error Summary(en_US) Setuid -> Setup, Setting, Settled
gridsite-gsexec.x86_64: W: spelling-error %description -l en_US setuid -> setup, setting, settled
gridsite-gsexec.x86_64: E: setuid-binary /usr/sbin/gsexec root 04510
gridsite-gsexec.x86_64: E: non-standard-executable-perm /usr/sbin/gsexec 04510
gridsite-gsexec.x86_64: E: non-standard-executable-perm /usr/sbin/gsexec 04510
gridsite-libs.x86_64: W: spelling-error %description -l en_US runtime -> run time, run-time, untimely
7 packages and 0 specfiles checked; 3 errors, 8 warnings.

Since the whole point of the gsexec binary is to be able to switch
users, the fact that it has the setuid bit set is not an error.

+ Package named according to guidelines
+ Specfile named after package
+ The specified license "ASL 2.0" is a Fedora approved License

? The following files are indeed distributed under the Apache-2.0 license:

  - src/gsexec.c
  - src/gsexec.h
  - src/mod_gridsite.c (partly)
  - src/mod_ssl-private.h (partly)

  However, the rest of the files seems to be distributed under BSD.

+ LICENSE file is included as %doc
+ Spec file is written in legible English
+ Source matches upstream:

$ cksum gridsite-1.5.18.src.tar.gz srpm/gridsite-1.5.18.src.tar.gz 
891063198 213822 gridsite-1.5.18.src.tar.gz
891063198 213822 srpm/gridsite-1.5.18.src.tar.gz

+ Package builds in mock (Fedora 12)
+ BuildRequires are sane
+ ldconfig called appropriately
+ No bundled system libraries
+ Package owns the directories it creates
+ No duplicate files

+ Permissions are sane, and %files have %defattr
  There is one setuid binary, but it is put in a separate rpm so that
  only those who need it hve to install it.

? Specfile uses macros more or less consistently, however
  - it uses both %{_var}/lib/%{name} and %{_var}/lib/gridsite
  - it uses both %{_var}/lib and %{_sharedstatedir}

? Should the doxygen documentation be split off into a separate doc
  subpackage?

+ %doc is not runtime essential
+ headers and .so symlink are in -devel subpackage
+ -devel requires -libs with fully qualified version
+ No .la files
+ Package does not own other's directories
+ Installed filenames are valid UTF8
Comment 2 Steve Traylen 2010-05-19 11:07:17 EDT
http://cern.ch/straylen/rpms/gridsite/gridsite-1.5.18-2.fc12.src.rpm
http://cern.ch/straylen/rpms/gridsite/gridsite.spec

%changelog
* Wed May 19 2010 Steve Traylen <steve.traylen@cern.ch> - 1.5.18-2
- Split docs of to a seperate package.
- License corrected to ASL 2.0 and BSD

and also the %{_var}/lib vs %{_sharedstatedir} is cleared up. There
does not obviously seem to be something instead of %{_var}/cache which
would be even more consistent.

I hope the licensing is acceptable particularly for mod_gridsite.c
and mod_ssl-private.h ?
Comment 3 Steve Traylen 2010-05-19 13:12:53 EDT
http://cern.ch/straylen/rpms/gridsite/gridsite-1.5.18-3.fc12.src.rpm
http://cern.ch/straylen/rpms/gridsite/gridsite.spec

I prefer these which drop the use of %{_sharedstatedir} which is not suitable
on .el4/5/.

Steve.
Comment 4 Mattias Ellert 2010-05-19 18:31:19 EDT
Package approved.
Comment 5 Steve Traylen 2010-05-20 00:51:13 EDT
Thanks for the review.

New Package CVS Request
=======================
Package Name: gridsite
Short Description: Grid Security for the Web, Web platforms for Grids
Owners: stevetraylen
Branches: F-11 F-12 F-13 EL-4 EL-5 EL-6
InitialCC:
Comment 6 Kevin Fenzi 2010-05-20 15:37:30 EDT
CVS done (by process-cvs-requests.py).
Comment 7 Fedora Update System 2010-05-20 18:31:51 EDT
gridsite-1.5.18-4.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/gridsite-1.5.18-4.fc13
Comment 8 Fedora Update System 2010-05-20 18:31:56 EDT
gridsite-1.5.18-4.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/gridsite-1.5.18-4.el4
Comment 9 Fedora Update System 2010-05-20 18:32:01 EDT
gridsite-1.5.18-4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/gridsite-1.5.18-4.fc12
Comment 10 Fedora Update System 2010-05-20 18:32:06 EDT
gridsite-1.5.18-4.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/gridsite-1.5.18-4.el5
Comment 11 Fedora Update System 2010-05-20 18:32:11 EDT
gridsite-1.5.18-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/gridsite-1.5.18-4.fc11
Comment 12 Fedora Update System 2010-05-21 21:45:06 EDT
gridsite-1.5.18-4.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gridsite'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gridsite-1.5.18-4.fc11
Comment 13 Fedora Update System 2010-05-21 21:46:58 EDT
gridsite-1.5.18-4.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gridsite'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gridsite-1.5.18-4.fc13
Comment 14 Fedora Update System 2010-05-21 21:51:18 EDT
gridsite-1.5.18-4.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gridsite'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gridsite-1.5.18-4.fc12
Comment 15 Fedora Update System 2010-05-24 15:16:02 EDT
gridsite-1.5.18-4.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gridsite'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gridsite-1.5.18-4.el5
Comment 16 Fedora Update System 2010-05-24 15:17:21 EDT
gridsite-1.5.18-4.el4 has been pushed to the Fedora EPEL 4 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gridsite'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gridsite-1.5.18-4.el4
Comment 17 Fedora Update System 2010-06-08 15:36:01 EDT
gridsite-1.5.18-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2010-06-08 15:40:07 EDT
gridsite-1.5.18-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2010-06-08 15:40:35 EDT
gridsite-1.5.18-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2010-06-09 11:47:35 EDT
gridsite-1.5.18-4.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2010-06-09 11:50:22 EDT
gridsite-1.5.18-4.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.